Bug 840707 - (mate-doc-utils) Review Request: mate-doc-utils -- mate doc utils
Review Request: mate-doc-utils -- mate doc utils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Dan Mashal
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-07-16 22:40 EDT by Dan Mashal
Modified: 2012-08-12 19:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:36:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michael Scherer 2012-07-20 04:06:48 EDT
Doesn't build on f17 with mock 

+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ NOCONFIGURE=1
+ ./autogen.sh
which: no mate-autogen in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin:/builddir/.local/bin:/builddir/bin)
You need to install mate-common from the MATE Git
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.Wm6yAu (%prep)
    Mauvais status de sortie pour /var/tmp/rpm-tmp.Wm6yAu (%prep)
Erreur de construction de RPM:
Child return code was: 1
Comment 2 Wolfgang Ulbrich 2012-07-20 17:47:09 EDT
(In reply to comment #1)
> Doesn't build on f17 with mock 
> 
> + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
> + NOCONFIGURE=1
> + ./autogen.sh
> which: no mate-autogen in
> (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin:/builddir/.
> local/bin:/builddir/bin)
> You need to install mate-common from the MATE Git
> erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.Wm6yAu (%prep)
>     Mauvais status de sortie pour /var/tmp/rpm-tmp.Wm6yAu (%prep)
> Erreur de construction de RPM:
> Child return code was: 1

missing
BuildRequires: mate-common

PS: I've send Dan all my currently working spec files which working well for 7 month on fedora-mate-desktop repo
Comment 3 Dan Mashal 2012-07-21 21:11:38 EDT
New spec/srpm here:

http://vicodan.fedorapeople.org/mate-doc-utils.spec
http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-6.fc17.src.rpm


$ rpmlint mate-doc-utils-1.4.0-6.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint mate-doc-utils.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji scratch build running now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4310431
Comment 4 Dan Mashal 2012-07-21 21:14:48 EDT
Am notifying upstream about  incorrect FSF errors in license check.
Comment 5 Dan Mashal 2012-07-21 21:16:20 EDT
Upstream notified here:

https://github.com/mate-desktop/mate-doc-utils/issues/3
Comment 6 Wolfgang Ulbrich 2012-07-21 22:43:39 EDT
correct Buildrequires and requires in mate-common comment35 if you prefer a positiv build result.
Comment 7 Dan Mashal 2012-07-21 23:55:14 EDT
Thanks Wolfgang. 

The following build completed successfully: 

Successful Koji scratch build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4312273

Still working on it.
Comment 8 Dan Mashal 2012-07-22 00:22:52 EDT
Package is ready for review.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4313075

4313075 build (f17, mate-doc-utils-1.4.0-6.fc17.src.rpm) completed successfully

SPEC:
http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
SRPM:
http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-6.fc17.src.rpm


$ rpmlint mate-doc-utils.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mate-doc-utils-1.4.0-6.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Dan Mashal 2012-07-22 00:32:28 EDT
f18 koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4312335
Comment 10 Michael Scherer 2012-07-22 05:50:31 EDT
It fail in mock for Fedorareview :

xsltproc -o mate-doc-xslt-de.omf --stringparam db2omf.basename mate-doc-xslt --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.4//EN" --stringparam db2omf.lang de --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/mate/help" --stringparam db2omf.omf_in "/builddir/build/BUILD/mate-doc-utils-1.4.0/doc/xslt/mate-doc-xslt.omf.in"  --stringparam db2omf.scrollkeeper_cl "`scrollkeeper-config --pkgdatadir`/Templates/C/scrollkeeper_cl.xml" ../../xslt/docbook/omf/db2omf.xsl de/mate-doc-xslt.xml || { rm -f "mate-doc-xslt-de.omf"; exit 1; }
http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser warning : PEReference: %tbl.frame.attval; not found
        frame       (%tbl.frame.attval;)    #IMPLIED
                                       ^
http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : NmToken expected in ATTLIST enumeration
        frame       (%tbl.frame.attval;)    #IMPLIED
unable to parse C/mate-doc-xslt.xml
make[2]: *** [mate-doc-xslt-C.omf] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/mate-doc-utils-1.4.0/doc/xslt'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/mate-doc-utils-1.4.0/doc'
make: *** [all-recursive] Error 1

I wonder if there is something weird going on with my mirror, let me investigate.
Comment 11 Michael Scherer 2012-07-22 06:01:49 EDT
Anyway, a few note :
- why do you add /usr/local/lib/... to the PYTHONPATH ? this should not be needed since no rpm should store anything there. It that affect the runtime env, then I think a comment should be added to explain.

- %clean is not needed, so does %defattr(-,root,root,-) ( default settings of rpm since a few years ) ( https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean )

- python_sitelib is already define in rpm on all supported Fedora version, if I am not wrong, so maybe this part can be skipped
https://fedoraproject.org/wiki/Packaging:Python#Macros

- BuildRequires are easier to read if there is one per line, since this produce better diff output, and ease review of patches

- Directory %{_datadir}/mate/ is unowned as well as%{_datadir}/mate-doc-utils/  
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

- I didn't look closely, but the lack of python-devel is suspicious. There should be a explicit version of python to prepare migration to python 3, but I am not sure how.
Comment 12 Wolfgang Ulbrich 2012-07-22 09:13:32 EDT
Several things:
1. Why do you use the export python path after configure?
I do not use it it my spec files, it's also not in http://koji.fedoraproject.org/koji/buildinfo?buildID=197226 from M. Classens spec file from gnome-doc-utils, where my spec file is based.


2. Do not use a configure flag with autogen.sh, it makes no sence if you use configure after it. Better

NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-scrollkeeper --enable-build-utils
make

3. We have conflicting files with gnome-doc-utils, see https://github.com/mate-desktop/mate-doc-utils/issues/2
I have solved this in this way:
After make install in the %install section

rm -f $RPM_BUILD_ROOT%{_datadir}/xml/mallard/1.0/mallard.rnc
rm -f $RPM_BUILD_ROOT%{_datadir}/xml/mallard/1.0/mallard.rng
rm -f $RPM_BUILD_ROOT%{_datadir}/pkgconfig/xml2po.pc
rm -rf $RPM_BUILD_ROOT%{_datadir}/man
rm -f $RPM_BUILD_ROOT%{_bindir}/xml2po

and add gnome-doc-utils as requires.
The idea is using files from gnome-doc-utis for mate-doc-utils.
This works perfect.


4. Give me and the users of my repo a favor and split the package in 2, otherwise we get problem with updating my packages.
(gnome-doc-utils is split in the same way). After describtion!

# note that this is an "inverse dependency" subpackage
%package stylesheets
Summary: XSL stylesheets used by mate-doc-utils
License: LGPLv2+
Group: Development/Tools
# for /usr/share/pkgconfig
Requires: pkgconfig
# for /usr/share/xml
Requires: xml-common
Requires: gnome-doc-utils-stylesheets

and

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/*
%{_datadir}/pkgconfig/mate-doc-utils.pc
%{_datadir}/aclocal/mate-doc-utils.m4
%{_datadir}/mate/help/mate-doc-make
%{_datadir}/mate/help/mate-doc-xslt
%{_datadir}/omf/mate-doc-make
%{_datadir}/omf/mate-doc-xslt
%{_datadir}/mate-doc-utils
#%doc %{_mandir}/man1/xml2po.1.gz
#%{python_sitelib}/xml2po/

%files stylesheets
%defattr(-,root,root,-)
#%{_datadir}/pkgconfig/xml2po.pc
%{_datadir}/xml/mate
#%{_datadir}/xml/mallard

Here you see i've comment out the conflicting files (point 3).

Another way is to obsolete mate-doc-utils-stylesheets.


5. mate-common you need only as BuildRequires: not as Requires.
From my spec files

### Dependencies ###

Requires: libxml2 >= 2.6.12
Requires: libxslt >= 1.1.8
Requires: libxml2-python
# for /usr/share/aclocal
Requires: automake
# for /usr/share/mate/help
Requires: mate-doc-utils-stylesheets = %{version}-%{release}
Requires: gnome-doc-utils

### Build Dependencies ###

BuildRequires: libxml2-devel >= 2.6.12
BuildRequires: libxslt-devel >= 1.1.8
BuildRequires: libxml2-python

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: rarian-devel
BuildRequires: mate-common


@ Michael Scherer
I know this error, but it exists only with mock and effected several mate packages. It seems to be that mock load some information from outside with a network connection.
But i had no solution exept this QUICK&DIRTY
I disable the network connection after mock has download the build requires.
I know this is not a solution.
Comment 13 Michael Scherer 2012-07-22 11:26:16 EDT
Mock download information maybe because it cannot find it locally. I suspect that a Buildrequires is missing.
Comment 14 Dan Mashal 2012-07-22 12:09:03 EDT
Michael,

If problem with buildrequires why did those 2 koji builds complete successfully?
Comment 15 leigh scott 2012-07-22 12:14:13 EDT
Please

1. remove buildrequires rarian-compat

rarian-devel requires rarian which requires rarian-compat

2. remove the obsolete macro, it was wrong anyway (we don't use %define anymore)

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}



3. explain the need for this bit, in fact remove it as it's wrong.

export PYTHONPATH=${PYTHONPATH}:/usr/local/lib/python2.7/site-packages/


4. remove this from the files section and install the lang files properly.

https://fedoraproject.org/wiki/Packaging:Guidelines#Why_do_we_need_to_use_.25find_lang.3F

%{_datadir}/locale/*



mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ar/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/as/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ast/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/be@latin/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/bg/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/bn/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/bn_IN/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ca/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ca@valencia/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/cy/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/da/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/dz/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/el/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/en@shaw/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/en_CA/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/en_GB/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/et/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/eu/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/fa/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/fi/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ga/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/gu/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/hi/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/hu/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/id/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ja/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ka/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/kn/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ko/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/lv/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/mai/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/mg/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/mk/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ml/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/mn/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/mr/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/nb/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ne/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/nn/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/oc/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/or/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/pa/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/pt/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ro/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/rw/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sl/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sq/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sr/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sr@latin/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ta/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/te/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/th/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/ug/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/vi/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/wa/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/zh_HK/LC_MESSAGES/mate-doc-utils.mo
mate-doc-utils.noarch: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/mate-doc-utils.mo
Comment 16 Dan Mashal 2012-07-22 12:15:25 EDT
Thanks Leigh,

Trying that now.
Comment 17 Michael Scherer 2012-07-22 12:23:44 EDT
Looking at koji, you see the following error :
xsltproc -o mate-doc-xslt-de.omf --stringparam db2omf.basename mate-doc-xslt --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.4//EN" --stringparam db2omf.lang de --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/mate/help" --stringparam db2omf.omf_in "/builddir/build/BUILD/mate-doc-utils-1.4.0/doc/xslt/mate-doc-xslt.omf.in"  --stringparam db2omf.scrollkeeper_cl "`scrollkeeper-config --pkgdatadir`/Templates/C/scrollkeeper_cl.xml" ../../xslt/docbook/omf/db2omf.xsl de/mate-doc-xslt.xml || { rm -f "mate-doc-xslt-de.omf"; exit 1; }
error : connection refused

So for some reason, xsltproc or something else try to download a file, fail and so do not signal the error ( or rather continue without failure ). 

A rpm that would be different based on the availability of the network is IMHO wrong. While we mandate ( with koji ) that it build fine without network, the reverse is to avoid.
Comment 18 Dan Mashal 2012-07-22 12:41:36 EDT
It is trying to use the following:

http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod

DEBUG: xsltproc -o mate-doc-xslt-de.omf --stringparam db2omf.basename mate-doc-xslt --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.4//EN" --stringparam db2omf.lang de --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/mate/help" --stringparam db2omf.omf_in "/builddir/build/BUILD/mate-doc-utils-1.4.0/doc/xslt/mate-doc-xslt.omf.in"  ../../xslt/docbook/omf/db2omf.xsl de/mate-doc-xslt.xml || { rm -f "mate-doc-xslt-de.omf"; exit 1; }
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser warning : PEReference: %tbl.frame.attval; not found
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                   ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : NmToken expected in ATTLIST enumeration
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                   ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : Content error in the external subset
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                   ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : Content error in the external subset
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                    	 ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : Content error in the external subset
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                    	    ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: validity error : All markup of the conditional section is not in the same entity
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                    	    ^
DEBUG: http://www.oasis-open.org/docbook/xml/4.4/dbpoolx.mod:3759: parser error : Content error in the external subset
DEBUG: 		frame		(%tbl.frame.attval;)	#IMPLIED
DEBUG: 		     		                    	       ^
DEBUG: unable to parse C/mate-doc-xslt.xml
DEBUG: make[2]: *** [mate-doc-xslt-C.omf] Error 1


Why, I have no idea.
Comment 19 Michael Scherer 2012-07-22 12:49:38 EDT
After looking more closely at the issue, the error message is :

error : connection refused
de/mate-doc-xslt.xml:4: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"
D DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"

And the needed file is in docbook-dtds.

So I would suggest adding "BuildRequires: docbook-dtds" to the various specs where the problem arise, since that fixed the issue for me.
Comment 20 Dan Mashal 2012-07-22 13:40:31 EDT
That is correct Michael.

After working with Wolfgang and Leigh I have added this to the spec file.

Successful f17 scratch build on koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4321441

SPEC:
http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec

SRPM:
http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-7.fc17.src.rpm
Comment 21 Dan Mashal 2012-07-22 14:03:16 EDT
Regarding the sitepackages Wolfgang:

I tried to do this but was having issues on Koji build. Let me try it again.
Comment 22 leigh scott 2012-07-22 14:05:37 EDT
Ok, please fix

1. remove buildrequires pkconfig and add Requires: pkgconfig instead

2. split these files into a subpackage

%{_datadir}/pkgconfig/xml2po.pc
%{_datadir}/xml/mate
%{_datadir}/xml/mallard


3. dont use wildcards in files section

Try using this instead

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/*
%{_datadir}/pkgconfig/mate-doc-utils.pc
%{_datadir}/aclocal/mate-doc-utils.m4
%{_datadir}/mate/help/mate-doc-make
%{_datadir}/mate/help/mate-doc-xslt
%{_datadir}/omf/mate-doc-make
%{_datadir}/omf/mate-doc-xslt
%{_datadir}/mate-doc-utils
%doc %{_mandir}/man1/xml2po.1.*
%{python_sitelib}/xml2po/

%files stylesheets
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/xml2po.pc
%{_datadir}/xml/mate
%{_datadir}/xml/mallard


4. delete the debian crap in install instead

rm -f %{buildroot}%{_datadir}/mate-doc-utils/mate-debian.sh


5. remove


%clean
rm -rf %{buildroot}


and

%defattr(-,root,root,-)

as they are obsolete.
Comment 24 Dan Mashal 2012-07-22 18:07:25 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4321746
http://koji.fedoraproject.org/koji/taskinfo?taskID=4321744

$ rpmlint mate-doc-utils-1.4.0-8.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mate-doc-utils.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 25 leigh scott 2012-07-22 18:28:55 EDT
I don't believe excluding the conflicting files is the correct way to deal with this situation.

Please explore the option of adding this instead as I believe it's a better way.

Conflicts: gnome-doc-utils
Comment 26 Dan Mashal 2012-07-22 18:46:08 EDT
Done.

Please check it.
Comment 27 Wolfgang Ulbrich 2012-07-22 18:48:30 EDT
(In reply to comment #25)
> I don't believe excluding the conflicting files is the correct way to deal
> with this situation.
> 
> Please explore the option of adding this instead as I believe it's a better
> way.
> 
> Conflicts: gnome-doc-utils

I'm doing this way for 6 month in my repo, and it works.
no issue reports.
But, if you say it's better used
Conflicts: gnome-doc-utils
it's Ok for me.
Only packager which build for Mate and Gnome will get a problem.
But this is very unlikely ;)

I've test the spec file in mock and everything is fine, exept we need

Obsoletes: mate-doc-utils-stylesheets

for uninstalling old version of mate-doc-utils-stylesheets from my repo.
Comment 28 Dan Mashal 2012-07-22 18:53:17 EDT
Thank you Wolfgang.

If it is okay with Leigh, I will be more than happy to add that to the spec file.

Since it is not an official package of Fedora I would need Leigh to approve that since he is doing the review.

Dan
Comment 29 Kevin Fenzi 2012-07-22 18:55:19 EDT
IMHO, conflicts is not a good answer here. 

Please see: https://fedoraproject.org/wiki/Packaging:Conflicts

Forcing users to figure out that they can only install MATE or gnome3 (and anything that depends on gnome3) seems like a bad plan.
Comment 30 Dan Mashal 2012-07-22 18:56:11 EDT
Thank you Kevin,

I will remove the Conflicts line and use the previous spec file per your request.
Comment 31 Dan Mashal 2012-07-22 18:59:12 EDT
http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec

Please approve or make comments at this point,

The package builds on Koji just fine and installs via yum.
Comment 32 leigh scott 2012-07-22 19:07:26 EDT
(In reply to comment #29)
> IMHO, conflicts is not a good answer here. 
> 
> Please see: https://fedoraproject.org/wiki/Packaging:Conflicts
> 
> Forcing users to figure out that they can only install MATE or gnome3 (and
> anything that depends on gnome3) seems like a bad plan.

It doesn't force users to choose MATE or gnome3


$ repoquery --whatrequires gnome-doc-utils
epiphany-devel-1:3.4.1-2.fc17.i686
epiphany-devel-1:3.4.1-2.fc17.x86_64
epiphany-devel-1:3.4.1-3.fc17.i686
epiphany-devel-1:3.4.1-3.fc17.x86_64
florence-0:0.5.0-4.fc17.x86_64
gnome-desktop3-devel-0:3.4.1-2.fc17.i686
gnome-desktop3-devel-0:3.4.1-2.fc17.x86_64
gnome-desktop3-devel-0:3.4.2-1.fc17.i686
gnome-desktop3-devel-0:3.4.2-1.fc17.x86_64


As I see it mate-doc-utils is a build dep for the mate chain as is gnome-doc-utils, am I missing something?
Comment 33 Dan Mashal 2012-07-22 19:11:52 EDT
I think what you're missing is that these files are already included in Fedora repos and can be included in the [build]requires field.
Comment 34 leigh scott 2012-07-22 19:27:00 EDT
(In reply to comment #33)
> I think what you're missing is that these files are already included in
> Fedora repos and can be included in the [build]requires field.

So your saying mate-doc-utils should require gnome-doc-utils to provide the missing files?
Comment 35 Dan Mashal 2012-07-22 19:36:12 EDT
Yes.
Comment 38 leigh scott 2012-07-23 04:35:14 EDT
(In reply to comment #37)
> Spec URL: http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
> SRPM URL:
> http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-9.fc17.
> src.rpm
> Description: MATE dekstop doc utils

You must add

# for /usr/share/aclocal
Requires: automake
# for /usr/share/pkgconfig
Requires: pkgconfig
# for /usr/share/xml
Requires: xml-common


I believe you also need

# for /usr/share/aclocal
Requires: automake


you also forgot to bump the changelog
Comment 39 leigh scott 2012-07-23 04:37:10 EDT
(In reply to comment #38)

> I believe you also need
> 
> # for /usr/share/aclocal
> Requires: automake
> 
> 
> you also forgot to bump the changelog



I meant

# for the validation with xsltproc to use local dtds
Requires: docbook-dtds
Comment 40 leigh scott 2012-07-23 04:54:07 EDT
(In reply to comment #38)
> (In reply to comment #37)
> > Spec URL: http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
> > SRPM URL:
> > http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-9.fc17.
> > src.rpm
> > Description: MATE dekstop doc utils
> 
> You must add
> 
> # for /usr/share/aclocal
> Requires: automake
> # for /usr/share/pkgconfig
> Requires: pkgconfig
> # for /usr/share/xml
> Requires: xml-common
> 
> 
> I believe you also need
> 
> # for /usr/share/aclocal
> Requires: automake
> 
> 
> you also forgot to bump the changelog

(In reply to comment #39)
> (In reply to comment #38)
> 
> > I believe you also need
> > 
> > # for /usr/share/aclocal
> > Requires: automake
> > 
> > 
> > you also forgot to bump the changelog
> 
> 
> 
> I meant
> 
> # for the validation with xsltproc to use local dtds
> Requires: docbook-dtds

Please ignore these commennts about the requires as they are satisfied by the 


Requires:	mate-common gnome-doc-utils gnome-doc-utils-stylesheets


gnome-doc-utils gnome-doc-utils-stylesheets drag them in
Comment 41 Michael Scherer 2012-07-23 05:30:16 EDT
pkgconfig deps is already handled by rpm ( 
/usr/lib/rpm/fileattrs/pkgconfig.attr ), so no need to add it by hand.
Comment 42 Dan Mashal 2012-07-23 10:34:51 EDT
No it is needed by hand. We are not using normal configure scripts here. We are using autogen.sh.

Ill double check, but its there for a reason.
Comment 43 leigh scott 2012-07-23 10:51:56 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Development files must be in a -devel package
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "UNKNOWN", "GPL (v2 or later) (with incorrect
     FSF address)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)", "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or
     later) GENERATED FILE" For detailed output of licensecheck see file:
     /home/leigh/840707-mate-doc-utils/licensecheck.txt
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
     Note: mate-doc-utils-1.4.0-9.fc17.noarch.rpm : /usr/share/pkgconfig/mate-
     doc-utils.pc
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: mate-doc-utils-1.4.0-9.fc17.noarch.rpm
          mate-doc-utils-1.4.0-9.fc17.src.rpm
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/utils/chunks.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/common/theme.xsl
mate-doc-utils.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/mate-doc-utils.pc
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-list.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/common/db-common.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/cache/mal-cache.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/utils/credits.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/common/utils.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/utils/figures.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-table.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/common/db-xref.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/common/db-chunk.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-ebnf.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-xref.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-index.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-css.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-refentry.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/common/db-title.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-css.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-classsynopsis.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/gettext/l10n-numbers.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-division.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-inline.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-table.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/common/mal-chunk.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2xhtml.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/utils/graphics.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-media.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-footnote.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-qanda.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-inline.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2xhtml.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/mate-doc-utils/mate-doc-utils.make
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-autotoc.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/gettext/gettext.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-bibliography.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-page.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-suppressed.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-callout.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-cmdsynopsis.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/utils/ids.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-block.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/common/mal-link.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-title.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/doc/mate-doc-utils-1.4.0/COPYING
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-info.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-list.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/omf/db2omf.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-l10n.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-block.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/html/db2html-funcsynopsis.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/docbook/common/db-label.xsl
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/bin/mate-doc-tool
mate-doc-utils.noarch: E: incorrect-fsf-address /usr/share/xml/mate/xslt/mallard/html/mal2html-media.xsl
mate-doc-utils.noarch: W: no-manual-page-for-binary mate-doc-prepare
mate-doc-utils.noarch: W: no-manual-page-for-binary mate-doc-tool
2 packages and 0 specfiles checked; 55 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
mate-doc-utils-1.4.0-9.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/pkg-config  
    gnome-doc-utils  
    gnome-doc-utils-stylesheets  
    mate-common  

Provides
--------
mate-doc-utils-1.4.0-9.fc17.noarch.rpm:
    
    mate-doc-utils = 1.4.0-9.fc17
    pkgconfig(mate-doc-utils) = 1.4.0

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-doc-utils-1.4.0.tar.xz :
  MD5SUM this package     : 9def459a55251a1c700470eed998f076
  MD5SUM upstream package : 9def459a55251a1c700470eed998f076


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 840707
External plugins:



I will permit this as gnome-doc-utils does the same

[!]: MUST Development files must be in a -devel package


(Must)I wont permit this, please fix it

[!]: MUST Package requires other packages for directories it uses.



Please pester upstream to fix the incorrect address

[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "UNKNOWN", "GPL (v2 or later) (with incorrect
     FSF address)", "*No copyright* LGPL (v2 or later) (with incorrect FSF
     address)", "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or
     later) GENERATED FILE" For detailed output of licensecheck see file:
     /home/leigh/840707-mate-doc-utils/licensecheck.txt


(Recommend) Please delete the conflicting files during %install instead of using the %exclude tag

[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)



Failed please fix
Comment 44 Dan Mashal 2012-07-23 11:16:51 EDT
Thank you Leigh,

Upstream have been notified in regards to the licensing. 

I will fix the rest.
Comment 45 Wolfgang Ulbrich 2012-07-23 12:06:20 EDT
Hi Leigh,
can you permit
Obsoletes: mate-doc-utils-stylesheets  ?

Because otherwise bad things happens if updating mate-doc-utils from my repo.
I've a subpackage mate-doc-utils-stylesheets.

00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-1.fc16 will be updated
00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-8.fc16 will be an update
00:21:39 : YUM: --> Finished Dependency Resolution
00:21:39 : YUM: --> Finding unneeded leftover dependencies
00:21:40 : YUM: Found and removing 0 unneeded dependencies
00:21:42 : YUM: Setting up and reading Presto delta metadata
00:21:42 : YUM: Running Transaction Check
00:21:42 : ERROR: Error in yum Transaction : Test Transaction Errors:   file /usr/share/xml/mate/xslt/docbook/html/db2html-css.xsl from install of mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch
00:21:42 : YUM:   file /usr/share/xml/mate/xslt/docbook/html/db2html-inline.xsl from install of mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch

Without this line in spec file no user of my repo can update to fedora stable if it's in there.

An other solution is to create a subpackage  mate-doc-utils-stylesheets which includes

%{_datadir}/xml/mate

Thanks in advandced
Comment 46 Wolfgang Ulbrich 2012-07-23 12:15:21 EDT
@ Michael Scherer
thx for the fix with docbook-dtds
This error getting on my nervs for 5 month.
Comment 47 leigh scott 2012-07-23 12:16:32 EDT
(In reply to comment #45)
> Hi Leigh,
> can you permit
> Obsoletes: mate-doc-utils-stylesheets  ?
> 
> Because otherwise bad things happens if updating mate-doc-utils from my repo.
> I've a subpackage mate-doc-utils-stylesheets.
> 
> 00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-1.fc16 will be
> updated
> 00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-8.fc16 will be an
> update
> 00:21:39 : YUM: --> Finished Dependency Resolution
> 00:21:39 : YUM: --> Finding unneeded leftover dependencies
> 00:21:40 : YUM: Found and removing 0 unneeded dependencies
> 00:21:42 : YUM: Setting up and reading Presto delta metadata
> 00:21:42 : YUM: Running Transaction Check
> 00:21:42 : ERROR: Error in yum Transaction : Test Transaction Errors:   file
> /usr/share/xml/mate/xslt/docbook/html/db2html-css.xsl from install of
> mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package
> mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch
> 00:21:42 : YUM:   file
> /usr/share/xml/mate/xslt/docbook/html/db2html-inline.xsl from install of
> mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package
> mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch
> 
> Without this line in spec file no user of my repo can update to fedora
> stable if it's in there.
> 
> An other solution is to create a subpackage  mate-doc-utils-stylesheets
> which includes
> 
> %{_datadir}/xml/mate
> 
> Thanks in advandced

Wouldn't adding Provides: mate-doc-utils-stylesheets be a better alternative?
Comment 48 leigh scott 2012-07-23 12:18:39 EDT
(In reply to comment #47)

> Wouldn't adding Provides: mate-doc-utils-stylesheets be a better alternative?


It should be Provides: mate-doc-utils-stylesheets-%{version}
Comment 49 Wolfgang Ulbrich 2012-07-23 12:22:10 EDT
(In reply to comment #47)
> (In reply to comment #45)
> > Hi Leigh,
> > can you permit
> > Obsoletes: mate-doc-utils-stylesheets  ?
> > 
> > Because otherwise bad things happens if updating mate-doc-utils from my repo.
> > I've a subpackage mate-doc-utils-stylesheets.
> > 
> > 00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-1.fc16 will be
> > updated
> > 00:21:39 : YUM: ---> Package mate-doc-utils.noarch 0:1.4.0-8.fc16 will be an
> > update
> > 00:21:39 : YUM: --> Finished Dependency Resolution
> > 00:21:39 : YUM: --> Finding unneeded leftover dependencies
> > 00:21:40 : YUM: Found and removing 0 unneeded dependencies
> > 00:21:42 : YUM: Setting up and reading Presto delta metadata
> > 00:21:42 : YUM: Running Transaction Check
> > 00:21:42 : ERROR: Error in yum Transaction : Test Transaction Errors:   file
> > /usr/share/xml/mate/xslt/docbook/html/db2html-css.xsl from install of
> > mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package
> > mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch
> > 00:21:42 : YUM:   file
> > /usr/share/xml/mate/xslt/docbook/html/db2html-inline.xsl from install of
> > mate-doc-utils-1.4.0-8.fc16.noarch conflicts with file from package
> > mate-doc-utils-stylesheets-1.4.0-1.fc16.noarch
> > 
> > Without this line in spec file no user of my repo can update to fedora
> > stable if it's in there.
> > 
> > An other solution is to create a subpackage  mate-doc-utils-stylesheets
> > which includes
> > 
> > %{_datadir}/xml/mate
> > 
> > Thanks in advandced
> 
> Wouldn't adding Provides: mate-doc-utils-stylesheets be a better alternative?

yes, that's the best solution
thx
Comment 50 Wolfgang Ulbrich 2012-07-23 14:45:55 EDT
the mate devs update licence informtion at https://github.com/mate-desktop/mate-doc-utils
licence results
http://paste.ubuntu.com/1106846/
If this helps we can do that in a patch because they won't update for reasons in the moment.
Hey, this guys react very quick and are very cooperative ;)
Comment 51 leigh scott 2012-07-23 14:51:28 EDT
(In reply to comment #50)
> the mate devs update licence informtion at
> https://github.com/mate-desktop/mate-doc-utils
> licence results
> http://paste.ubuntu.com/1106846/
> If this helps we can do that in a patch because they won't update for
> reasons in the moment.
> Hey, this guys react very quick and are very cooperative ;)

No patching is required.
Comment 52 Nelson Marques 2012-07-23 16:31:32 EDT
One warning... MATE is a larget set of packages, so please be aware that we know this and we also don't mind getting git pulls or patches to fix this instead of the: 'it's your job so fix it'. As far as I am concerned, I'm not getting payed, so a bit more of patience could probably lead to faster results. One package is fixed, what about the other 40 ? :)
Comment 53 Rex Dieter 2012-07-23 17:01:04 EDT
Keep in mind too that bug fixes can happen at any time, especially *after* pkg review, often simple bugs should not be treated as review blockers.
Comment 54 Dan Mashal 2012-07-23 17:06:35 EDT
Hi Leigh,

I have fixed the issues you brought up. This spec generates a seperate devel package and the koji builds are successful. Please review at your earliest convenience.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-10.fc17.src.rpm
Description: MATE Dekstop doc utils

f17 koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4324465

f18 koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4324461

$ rpmlint mate-doc-utils-1.4.0-10.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mate-doc-utils.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


Thanks,
Dan
Comment 55 Wolfgang Ulbrich 2012-07-23 17:20:18 EDT
We don't need a devel package!
Why do you immplement this if your sponsor said 

I will permit this as gnome-doc-utils does the same

[!]: MUST Development files must be in a -devel package

Pls add a subpackage %files stylesheets which
includes /usr/share/xml/mate/xslt/docbook/html/db2html-css.xsl
Comment 56 Michael Scherer 2012-07-23 18:21:44 EDT
If the pkgconfig is used in development context ( compiling, etc ), then splitting files in a -devel rpm is IMHO the sane thing to do. If a normal usage do not need aclocal or pkgconfig file, then they should be in a separate rpm ( especially if this permit to avoid pulling aclocal and pkgconfig ). But that's not a big deal, no one complained about it for gnome ( but i guess the gnome package predate the policy by a few years )

And why add a subpackage for stylsheets ? ( "gnome does this way" is not a reason, that's just cargo cult programming, and while there is surely a good reason, I think it should be know and see if this is still valid )

There is also some notes from comment 11, like %clean and %defattr no longer needed. 

And since we are in a case of multiple licensing, there should be a comment explaining what is gpl and what is lgpl :
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

( I wonder why there is lgpl in fact, but too late to check for me, sorry )
Comment 57 Wolfgang Ulbrich 2012-07-23 19:09:54 EDT
(In reply to comment #56)

> And why add a subpackage for stylsheets ? ( "gnome does this way" is not a
> reason, that's just cargo cult programming, and while there is surely a good
> reason, I think it should be know and see if this is still valid )
> 
> There is also some notes from comment 11, like %clean and %defattr no longer
> needed. 
> 

without this subpackage a lot of users from my repo will prevent from updating
see Comment 45
Do you want this?
Comment 58 Nelson Marques 2012-07-23 19:18:19 EDT
(In reply to comment #57)
> (In reply to comment #56)
> 
> > And why add a subpackage for stylsheets ? ( "gnome does this way" is not a
> > reason, that's just cargo cult programming, and while there is surely a good
> > reason, I think it should be know and see if this is still valid )
> > 
> > There is also some notes from comment 11, like %clean and %defattr no longer
> > needed. 
> > 
> 
> without this subpackage a lot of users from my repo will prevent from
> updating
> see Comment 45
> Do you want this?

There are mechanisms to Obselete packages, one quick example can be the usage of a Obsoletes/Provides duet, example:

 * mate-doc-utils:

 (...)
 Obsoletes: mate-doc-utils-stylesheets < %{version}
 Provides: mate-doc-utils-stylesheets = %{version}
 (...)

This will allow users to update; the mate-doc-utils-stylesheets will get obsoleted and uninstalled. After a few releases when you believe all users have updated you can pretty much remove the Obsoletes/Provides duet.

This is probably the best way to Obsolete a Package.
Comment 59 Wolfgang Ulbrich 2012-07-23 19:27:24 EDT
Hey guys,
it is all say in comment 47/48/49
we have 3 alternativies to do that,
......but we have to to that
Comment 60 Wolfgang Ulbrich 2012-07-23 19:28:29 EDT
....i mean Dan
Comment 61 Dan Mashal 2012-07-23 22:47:40 EDT
@Michael

I do not necessarily agree with creating a devel package for 1 or 2 files. 

Since thisb package is but a subcomponent of a number of other packages I would prefer keeping them for now and seeing if it causes any issues with yum.. we have to take this 1 package at a time.

However rules are rules and I will abide by them which is why I created a spec that generates a devel rpm.

In regards to your licensing question "why LGPL and GPLv2" please run "licensecheck -r ." in the root of the pristine source and that will answer your question.


In regards to Wolfgang aka raveit's concerns they are valid. 

He currently manages the unofficial mate fedora 16 and 17 repos so he has valid concerns. However those will be adressed AFTER this pakacage is approved.

So this review is currently pending Leigh's input at this point.

Thanks,
Dan
Comment 62 leigh scott 2012-07-24 01:21:39 EDT
I am busy and wont be able to re-review the new spec and srpm till the Thursday/Friday.
If you had made the changes I recommended I could have completed the review sooner, but you insisted on making more changes.

I really don't see the need for the devel sub-package for 1 poxy file when gnome-doc-utils didn't.

[root@main-pc results]# rpm -qf /usr/share/pkgconfig/gnome-doc-utils.pc 
gnome-doc-utils-0.20.10-2.fc17.noarch


In fact there seems to be a reason behind it, so revert the changes you made i.e get rid of the devel sub-package.

https://bugzilla.redhat.com/show_bug.cgi?id=629647

You also need to add obsoletes and provides as Wolfgang suggested.(In reply to comment #58)
> (In reply to comment #57)
> > (In reply to comment #56)
> > 
> > > And why add a subpackage for stylsheets ? ( "gnome does this way" is not a
> > > reason, that's just cargo cult programming, and while there is surely a good
> > > reason, I think it should be know and see if this is still valid )
> > > 
> > > There is also some notes from comment 11, like %clean and %defattr no longer
> > > needed. 
> > > 
> > 
> > without this subpackage a lot of users from my repo will prevent from
> > updating
> > see Comment 45
> > Do you want this?
> 
> There are mechanisms to Obselete packages, one quick example can be the
> usage of a Obsoletes/Provides duet, example:
> 
>  * mate-doc-utils:
> 
>  (...)
>  Obsoletes: mate-doc-utils-stylesheets < %{version}
>  Provides: mate-doc-utils-stylesheets = %{version}
>  (...)
> 
> This will allow users to update; the mate-doc-utils-stylesheets will get
> obsoleted and uninstalled. After a few releases when you believe all users
> have updated you can pretty much remove the Obsoletes/Provides duet.
> 
> This is probably the best way to Obsolete a Package.
Comment 63 Dan Mashal 2012-07-24 01:22:45 EDT
Sounds good.

Thanks Leigh!
Comment 64 leigh scott 2012-07-24 01:24:54 EDT
(In reply to comment #61)

> He currently manages the unofficial mate fedora 16 and 17 repos so he has
> valid concerns. However those will be adressed AFTER this pakacage is
> approved.
> 
> So this review is currently pending Leigh's input at this point.
> 
> Thanks,
> Dan


I would like them addressed before I pass it.
Comment 65 Michael Scherer 2012-07-24 01:26:30 EDT
@raveit and comment #67, I personally do not think we should care in Fedora about user of non official repo, yes. For example, Fedora do not care about breaking nvidia driver or various third parties repo, and if a 3rd party repository break something in fedora, most people will not accept but about that. So splitting because someone else did it without being able to to say why do not think a good reason alone.

@dan and comment #61, yep, I agree that a subpackage seems extreme for just 1 or 2 files. The alternative is to ship everything in 1 package and then, there is 2 cases :
 - do not requires pkgconfig/aclocal, but then, the directory holding the files may be unowned. And that's usually seen as bad, even if in practice, the consequence are near 0 for some directories, since there is already lots of case like this and no one seems to complain. The only consequence is "directory is not removed on package removal", and maybe various issue if the file permission are not properly tracked. I guess one day, I will open a ticket to FPC to ask to clarify the situation.

 - requires pkgconfig and aclocal, but this bring bloat and unneeded software. And that's IMHO bad for other reasons.


Regarding the license, saying "search by yourself" is not really a good answer. I am more than able to do it, but as written in the packaging policy, this must be added somewhere in the spec as comment. And since lots of file have been removed, the split GPL/LGPL must be checked ( ie, is there still stuff under the GPL ? ). I am also unsure about the fact that's not GPL, but GPL + a exception, see for example tools/mate-doc-tool.in :

# As a special exception to the GNU General Public License, if you
# distribute this file as part of a program that contains a
# configuration script generated by Autoconf, you may include it under
# the same distribution terms that you use for the rest of that program.

So this should surely be reflected in the license.

I think you should also explain to upstream they need to add proper copyright notice in the file they change if they want to do things correctly ( ie, despites having modified everything, I see no "copyright 2012 "the mate devs" in the file I look ). And also, that they should check before doing search and replace ( for example, the comment about :

# Modified for mate-doc-utils by Danilo Šegan <danilo@gnome.org>

is wrong, that's the result of search and replace on http://git.gnome.org/browse/gnome-doc-utils/tree/tools/gnome-doc-prepare.in )

While it seems unneeded and annoying bureaucracy, and that's a tedious job, I think everybody want to avoid a 2nd SCO case, and that's why lawyers will insist on this ( proper attribution, etc, etc )
Comment 67 Wolfgang Ulbrich 2012-07-24 02:10:33 EDT
(In reply to comment #65)
> @raveit and comment #67, I personally do not think we should care in Fedora
> about user of non official repo, yes. For example, Fedora do not care about
> breaking nvidia driver or various third parties repo, and if a 3rd party
> repository break something in fedora, most people will not accept but about
> that. So splitting because someone else did it without being able to to say
> why do not think a good reason alone.
> 
I love you , knutscher frenchman :)
I'm so exciting as nvidia
I never heard such a compliment.
You driving me crazy babe
I'am same as nvidia.......whoow ...real festival

I'am MATE-FEDORA........and you?
Comment 68 Dan Mashal 2012-07-24 02:11:33 EDT
LOL
Comment 69 leigh scott 2012-07-24 03:01:57 EDT
(In reply to comment #66)
> Leigh,
> 
> Fixed
> SPEC:
> http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
> 
> SRPM:
> http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-11.fc17.
> src.rpm

Ok, this is the wrong macro

rm -rf %{buildroot}/%{_datadir}/man/man1/*

it should be


rm -rf %{buildroot}/%{_mandir}/man1/*






The obsolete bit is also wrong, 


Obsoletes: mate-doc-utils-stylesheets


please add this instead


Obsoletes: mate-doc-utils-stylesheets-1.2.1-2
Provides:  mate-doc-utils-stylesheets-%{version}-%{release}




You also have missing requires for the directories that mate-doc-utils installs files into, please add

# for /usr/share/aclocal
Requires: automake
# for the validation with xsltproc to use local dtds
Requires: docbook-dtds
# for /usr/share/pkgconfig
Requires: pkgconfig
# for /usr/share/xml
Requires: xml-common




Please remove these bits again (why did you re-add them?)


%clean
rm -rf %{buildroot}


and


%defattr(-,root,root,-)
Comment 71 leigh scott 2012-07-24 05:06:22 EDT
(In reply to comment #70)
> Leigh,
> 
> Fixed
> SPEC:
> http://vicodan.fedorapeople.org/matespec/mate-doc-utils.spec
> 
> SRPM:
> http://vicodan.fedorapeople.org/materpms/srpms/mate-doc-utils-1.4.0-12.fc17.
> src.rpm

Package approved

Please change the obsoletes and provides for mate-doc-utils-stylesheets to this when you import.


Obsoletes: mate-doc-utils-stylesheets < %{version}
Provides:  mate-doc-utils-stylesheets = %{version}
Comment 72 Dan Mashal 2012-07-24 05:07:38 EDT
Thanks Leigh!

Now I owe you one!

Dan
Comment 73 Nelson Marques 2012-07-24 05:10:16 EDT
Forgive me for a dumb question... But why do you have a dependency on 'scrollkeeper' and then disable it in configure ('--disable-scrollkeeper'); do you really require that dependency ?
Comment 74 Dan Mashal 2012-07-24 05:10:25 EDT
New Package SCM Request
=======================
Package Name: mate-doc-utils
Short Description: MATE Desktop doc utils
Owners: vicodan
Branches: f16 f17
Comment 75 Jon Ciesla 2012-07-24 08:07:36 EDT
Git done (by process-git-requests).
Comment 76 Nelson Marques 2012-07-24 08:17:31 EDT
> Obsoletes: mate-doc-utils-stylesheets < %{version}
> Provides:  mate-doc-utils-stylesheets = %{version}


This could still be improved to:

Obsoletes: mate-doc-utils-stylesheets < %{version}-%{release}
Provides: mate-doc-utils-stylesheets = %{version}-%{release}

since Fedora uses always %{version}-%{release}
Comment 77 leigh scott 2012-07-24 08:21:52 EDT
(In reply to comment #76)
> > Obsoletes: mate-doc-utils-stylesheets < %{version}
> > Provides:  mate-doc-utils-stylesheets = %{version}
> 
> 
> This could still be improved to:
> 
> Obsoletes: mate-doc-utils-stylesheets < %{version}-%{release}
> Provides: mate-doc-utils-stylesheets = %{version}-%{release}
> 
> since Fedora uses always %{version}-%{release}

True it's better.
@Dan can you use these obsoletes and provides for mate-doc-utils-stylesheets instead when you import.
Comment 78 Michael Scherer 2012-07-24 11:01:35 EDT
That's also something that should have been check as part oas "follow the policy" part of the review :

http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 79 Dan Mashal 2012-07-24 11:03:22 EDT
Michael,

We're not replacing existing packages. We're doing this people using an unofficial unsupported Fedora repo so that they avoid conflicts with yum update.

Yes, it's not clean, it's not perfect it'll be fixed over time.

Thanks,
Dan
Comment 80 Michael Scherer 2012-07-24 12:23:52 EDT
The policy exist for a reason, in this case, adding version on Obsoletes permit to avoid potential problem in the future. For example, if there need to have a rpm named mate-doc-utils-stylesheets, the usage of version in the Obsoletes permit to have it, provided the version is high enough ( ie, recent enough ). using a version less obsoletes prevent this and therefore is to be avoided.
Comment 81 Fedora Update System 2012-07-24 12:31:24 EDT
mate-doc-utils-1.4.0-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-doc-utils-1.4.0-13.fc17
Comment 82 Fedora Update System 2012-07-24 12:31:33 EDT
mate-doc-utils-1.4.0-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-doc-utils-1.4.0-13.fc16
Comment 83 Wolfgang Ulbrich 2012-07-24 13:03:49 EDT
[rave@mother Mate]$ sudo yum localinstall mate-doc-utils-1.4.0-13.fc16.noarch.rpm 
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, fastestmirror, presto, remove-with-leaves, show-leaves, versionlock
Examining mate-doc-utils-1.4.0-13.fc16.noarch.rpm: mate-doc-utils-1.4.0-13.fc16.noarch
Marking mate-doc-utils-1.4.0-13.fc16.noarch.rpm as an update to mate-doc-utils-1.2.1-2.fc16.noarch
Resolving Dependencies
--> Running transaction check
---> Package mate-doc-utils.noarch 0:1.2.1-2.fc16 will be updated
---> Package mate-doc-utils.noarch 0:1.4.0-13.fc16 will be obsoleting
---> Package mate-doc-utils-stylesheets.noarch 0:1.2.1-2.fc16 will be obsoleted
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies

Dependencies Resolved

========================================================================================================================================
 Package                      Arch                 Version                     Repository                                          Size
========================================================================================================================================
Installing:
 mate-doc-utils               noarch               1.4.0-13.fc16               /mate-doc-utils-1.4.0-13.fc16.noarch               3.1 M
     replacing  mate-doc-utils-stylesheets.noarch 1.2.1-2.fc16

Transaction Summary
========================================================================================================================================
Install  1 Package

Total size: 3.1 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : mate-doc-utils-1.4.0-13.fc16.noarch                                                                                  1/3 
  Cleanup    : mate-doc-utils-1.2.1-2.fc16.noarch                                                                                   2/3 
  Erasing    : mate-doc-utils-stylesheets-1.2.1-2.fc16.noarch                                                                       3/3 
  Verifying  : mate-doc-utils-1.4.0-13.fc16.noarch                                                                                  1/3 
  Verifying  : mate-doc-utils-stylesheets-1.2.1-2.fc16.noarch                                                                       2/3 
  Verifying  : mate-doc-utils-1.2.1-2.fc16.noarch                                                                                   3/3 

Installed:
  mate-doc-utils.noarch 0:1.4.0-13.fc16                                                                                                 

Replaced:
  mate-doc-utils-stylesheets.noarch 0:1.2.1-2.fc16                                                                                      

Complete!


Perfect!

Little Note:
IHMO Requires:	mate-common is unnecessary, because we need mate-common only for building the package as BuildRequires.
But it isn't bad, only unnecessary.

I give you karma ;)
Comment 84 leigh scott 2012-07-24 14:19:59 EDT
(In reply to comment #83)

> 
> Little Note:
> IHMO Requires:	mate-common is unnecessary, because we need mate-common only
> for building the package as BuildRequires.
> But it isn't bad, only unnecessary.
> 
> I give you karma ;)

I'm sure Dan will implement this change.
Comment 85 Dan Mashal 2012-07-24 18:30:13 EDT
Thanks Wolfgang.

mate-common is there on purpose until we get a group setup. 

MATE-Desktop has been proposed as an official feature for Fedora 18 so yeah I require mate-common right now on purpose. 

Thanks for the + karma!

Dan
Comment 86 Fedora Update System 2012-07-24 19:26:32 EDT
mate-doc-utils-1.4.0-13.fc16 has been pushed to the Fedora 16 testing repository.
Comment 87 Fedora Update System 2012-07-26 18:36:44 EDT
mate-doc-utils-1.4.0-13.fc16 has been pushed to the Fedora 16 stable repository.
Comment 88 Fedora Update System 2012-07-26 18:37:10 EDT
mate-doc-utils-1.4.0-13.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.